package com.simuwang.manage.service.system;

import com.simuwang.base.common.support.BaseMultiJoinService;
import com.simuwang.base.common.support.BaseService;
import com.simuwang.base.pojo.dos.sys.SysUserDO;
import com.simuwang.base.pojo.dto.sys.UserRoleBindCmd;
import com.simuwang.base.pojo.vo.sys.SysRoleUserVO;
import com.simuwang.base.pojo.vo.sys.SysUserVO;

/**
 * @author wangzaijun
 * @date 2024/9/13 14:14
 * @description 用户服务
 */
public interface SysUserService extends BaseService<SysUserVO, SysUserDO>, BaseMultiJoinService<SysRoleUserVO> {
    /**
     * 用户角色绑定接口
     * @param command 请求参数
     */
    void bindRoles(UserRoleBindCmd command);
}
